(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     80119,       1893]
NotebookOptionsPosition[     78294,       1840]
NotebookOutlinePosition[     78638,       1855]
CellTagsIndexPosition[     78595,       1852]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "\"\<*Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bus", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aya", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"ay", ",", 
     RowBox[{"{", 
      RowBox[{"bus", ",", "bus"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"tya", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"ty", ",", 
     RowBox[{"{", 
      RowBox[{"bus", ",", "bus"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"ava", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"av", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"\[Theta]a", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"\[Theta]", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"pa", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"p", ",", "bus"}], "]"}]}], ";", 
  RowBox[{"qa", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"q", ",", "bus"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"qk", "[", "i_", "]"}], "=", 
   RowBox[{"-", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "1"}], "bus"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"av", "[", "i", "]"}], "*", 
       RowBox[{"ay", "[", 
        RowBox[{"i", ",", "k"}], "]"}], "*", 
       RowBox[{"av", "[", "k", "]"}], "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"\[Theta]", "[", "i", "]"}]}], "+", 
         RowBox[{"\[Theta]", "[", "k", "]"}], "+", 
         RowBox[{"ty", "[", 
          RowBox[{"i", ",", "k"}], "]"}]}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pk", "[", "i_", "]"}], "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "bus"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"av", "[", "i", "]"}], "*", 
      RowBox[{"ay", "[", 
       RowBox[{"i", ",", "k"}], "]"}], "*", 
      RowBox[{"av", "[", "k", "]"}], "*", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Theta]", "[", "i", "]"}]}], "+", 
        RowBox[{"\[Theta]", "[", "k", "]"}], "+", 
        RowBox[{"ty", "[", 
         RowBox[{"i", ",", "k"}], "]"}]}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ploss", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Re", "[", "z12", "]"}], "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"av", "[", "1", "]"}], "-", 
           RowBox[{"av", "[", "2", "]"}]}], "z12"], "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"Re", "[", "z14", "]"}], "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"av", "[", "1", "]"}], "-", 
           RowBox[{"av", "[", "4", "]"}]}], "z14"], "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"Re", "[", "z23", "]"}], "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"av", "[", "2", "]"}], "-", 
           RowBox[{"av", "[", "3", "]"}]}], "z23"], "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"Re", "[", "z24", "]"}], "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"av", "[", "2", "]"}], "-", 
           RowBox[{"av", "[", "4", "]"}]}], "z24"], "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"Re", "[", "z34", "]"}], "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"av", "[", "3", "]"}], "-", 
           RowBox[{"av", "[", "4", "]"}]}], "z34"], "]"}], "2"]}]}], ")"}], 
    "*", "zo"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"j", "=", 
   RowBox[{"(", GridBox[{
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "2", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "3", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"pk", "[", "4", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "3", "]"}]}]},
      {
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "2", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"\[Theta]", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "3", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"av", "[", "4", "]"}]], 
        RowBox[{"qk", "[", "4", "]"}]}]}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"c1", "[", "PG1_", "]"}], "=", 
    RowBox[{"100", "+", 
     RowBox[{"8", "*", "PG1"}], "+", 
     RowBox[{"0.01", "*", 
      SuperscriptBox["PG1", "2"]}]}]}], ";", 
   RowBox[{
    RowBox[{"c2", "[", "PG2_", "]"}], "=", 
    RowBox[{"300", "+", 
     RowBox[{"6", "*", "PG2"}], "+", 
     RowBox[{"0.85", "*", 
      SuperscriptBox["PG2", "2"]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"av", "[", "1", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"av", "[", "2", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"\[Theta]", "[", "1", "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"p", "[", "3", "]"}], "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{
   RowBox[{"q", "[", "3", "]"}], "=", 
   RowBox[{"-", "0.5"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "4", "]"}], "=", 
   RowBox[{"-", "0.5"}]}], ";", 
  RowBox[{
   RowBox[{"q", "[", "4", "]"}], "=", 
   RowBox[{"-", "0.1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z12", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";", 
  RowBox[{"z14", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";", 
  RowBox[{"z20", "=", 
   FractionBox["1", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]]}], ";", 
  RowBox[{"z23", "=", 
   RowBox[{"0.05", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.2"}]}]}], ";", 
  RowBox[{"z24", "=", 
   RowBox[{"0.1", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.2"}]}]}], ";", 
  RowBox[{"z30", "=", 
   FractionBox["1", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]]}], ";", 
  RowBox[{"z34", "=", 
   RowBox[{"0.02", "+", 
    RowBox[{"\[ImaginaryI]", "*", "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"1", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"2", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"3", ",", "4"}], "]"}]},
       {
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "1"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "2"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "3"}], "]"}], 
        RowBox[{"ay", "[", 
         RowBox[{"4", ",", "4"}], "]"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z12"]}], "0", 
        RowBox[{"-", 
         FractionBox["1", "z14"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z12"]}], 
        RowBox[{
         FractionBox["1", "z20"], "+", 
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}]},
       {"0", 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{
         FractionBox["1", "z30"], "+", 
         FractionBox["1", "z23"], "+", 
         FractionBox["1", "z34"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}], 
        RowBox[{
         FractionBox["1", "z14"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z34"]}]}
      }], ")"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"1", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"2", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"3", ",", "4"}], "]"}]},
       {
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "1"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "2"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "3"}], "]"}], 
        RowBox[{"ty", "[", 
         RowBox[{"4", ",", "4"}], "]"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}, "Items" -> {}, 
        "ItemsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "=", 
   RowBox[{"Arg", "[", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z12"]}], "0", 
        RowBox[{"-", 
         FractionBox["1", "z14"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z12"]}], 
        RowBox[{
         FractionBox["1", "z20"], "+", 
         FractionBox["1", "z12"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}]},
       {"0", 
        RowBox[{"-", 
         FractionBox["1", "z23"]}], 
        RowBox[{
         FractionBox["1", "z30"], "+", 
         FractionBox["1", "z23"], "+", 
         FractionBox["1", "z34"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}]},
       {
        RowBox[{"-", 
         FractionBox["1", "z14"]}], 
        RowBox[{"-", 
         FractionBox["1", "z24"]}], 
        RowBox[{"-", 
         FractionBox["1", "z34"]}], 
        RowBox[{
         FractionBox["1", "z14"], "+", 
         FractionBox["1", "z24"], "+", 
         FractionBox["1", "z34"]}]}
      }], ")"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PD", "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"p", "[", "3", "]"}]}], "-", 
    RowBox[{"p", "[", "4", "]"}]}]}], ";", 
  RowBox[{"zo", "=", "0"}], ";", 
  RowBox[{"rPlossrPG1", "=", "0"}], ";", 
  RowBox[{"rPlossrPG2", "=", "0"}], ";", 
  RowBox[{"dp", "=", "0.0001"}], ";", 
  RowBox[{"tol", "=", "0.0000000001"}], ";", 
  RowBox[{"Plossnew", "=", "Ploss"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ik", "=", "1"}], ",", 
    RowBox[{"ik", "\[LessEqual]", "100"}], ",", 
    RowBox[{"ik", "++"}], ",", 
    RowBox[{
     RowBox[{"Plosstest", "=", "Plossnew"}], ";", 
     RowBox[{"PGans", "=", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"c1", "[", "PG1", "]"}], ",", "PG1"}], "]"}], "+", 
            RowBox[{"\[Lambda]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "rPlossrPG1"}], ")"}]}]}], "\[Equal]", "0"}], 
          ",", 
          RowBox[{
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"c2", "[", "PG2", "]"}], ",", "PG2"}], "]"}], "+", 
            RowBox[{"\[Lambda]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "rPlossrPG2"}], ")"}]}]}], "\[Equal]", "0"}], 
          ",", 
          RowBox[{
           RowBox[{"PG1", "+", "PG2"}], "==", 
           RowBox[{"PD", "+", "Ploss"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"PG1", ",", "PG2", ",", "\[Lambda]"}], "}"}]}], "]"}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "=", 
      RowBox[{"PGans", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"av", "[", "3", "]"}], "=", "1"}], ";", 
     RowBox[{
      RowBox[{"av", "[", "4", "]"}], "=", "1"}], ";", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "2", "]"}], "=", "0"}], ";", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "3", "]"}], "=", "0"}], ";", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "4", "]"}], "=", "0"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "100"}], ",", 
       RowBox[{"i", "++"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"\[Theta]", "[", "2", "]"}]},
            {
             RowBox[{"\[Theta]", "[", "3", "]"}]},
            {
             RowBox[{"\[Theta]", "[", "4", "]"}]}
           }], ")"}], "=", 
         RowBox[{
          RowBox[{"(", GridBox[{
             {
              RowBox[{"\[Theta]", "[", "2", "]"}]},
             {
              RowBox[{"\[Theta]", "[", "3", "]"}]},
             {
              RowBox[{"\[Theta]", "[", "4", "]"}]}
            }], ")"}], "-", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z23"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z24"], "]"}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z12"], "]"}]}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z23"], "]"}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z24"], "]"}]},
               {
                RowBox[{"Im", "[", 
                 FractionBox["1", "z23"], "]"}], 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z23"], "]"}]}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z34"], "]"}]},
               {
                RowBox[{"Im", "[", 
                 FractionBox["1", "z24"], "]"}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z34"], "]"}], 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z24"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z34"], "]"}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z14"], "]"}]}]}
              }], ")"}], "]"}], ".", 
           RowBox[{"(", GridBox[{
              {
               RowBox[{
                RowBox[{"pk", "[", "2", "]"}], "-", 
                RowBox[{"p", "[", "2", "]"}]}]},
              {
               RowBox[{
                RowBox[{"pk", "[", "3", "]"}], "-", 
                RowBox[{"p", "[", "3", "]"}]}]},
              {
               RowBox[{
                RowBox[{"pk", "[", "4", "]"}], "-", 
                RowBox[{"p", "[", "4", "]"}]}]}
             }], ")"}]}]}]}], ";", 
        RowBox[{"av4old", "=", 
         RowBox[{"av", "[", "4", "]"}]}], ";", 
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"av", "[", "3", "]"}]},
            {
             RowBox[{"av", "[", "4", "]"}]}
           }], ")"}], "=", 
         RowBox[{
          RowBox[{"(", GridBox[{
             {
              RowBox[{"av", "[", "3", "]"}]},
             {
              RowBox[{"av", "[", "4", "]"}]}
            }], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"Inverse", "[", 
              RowBox[{"(", GridBox[{
                 {
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Im", "[", 
                    FractionBox["1", "z34"], "]"}]}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z23"], "]"}], "-", "0.2"}], 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}]},
                 {
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}], 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Im", "[", 
                    FractionBox["1", "z14"], "]"}]}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z24"], "]"}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z34"], "]"}]}]}
                }], ")"}], "]"}], ".", 
             RowBox[{"(", GridBox[{
                {
                 RowBox[{
                  RowBox[{"qk", "[", "3", "]"}], "-", 
                  RowBox[{"q", "[", "3", "]"}]}]},
                {
                 RowBox[{
                  RowBox[{"qk", "[", "4", "]"}], "-", 
                  RowBox[{"q", "[", "4", "]"}]}]}
               }], ")"}]}]}], ")"}]}]}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"av", "[", "4", "]"}], "-", "av4old"}], "]"}], "<", 
           "tol"}], ",", 
          RowBox[{"i", "=", "100"}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"zo", "=", "1"}], ";", 
     RowBox[{"Plossnew", "=", "Ploss"}], ";", 
     RowBox[{"p1new", "=", 
      RowBox[{"pk", "[", "1", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<Main Load Flow:\>\"", ",", "\"\<   \[Theta][2]=\>\"", ",", " ", 
       RowBox[{"\[Theta]", "[", "2", "]"}], ",", "\"\<   \[Theta][3]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "3", "]"}], ",", "\"\<   \[Theta][4]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "4", "]"}], ",", "\"\<   av[3]=\>\"", ",", 
       RowBox[{"av", "[", "3", "]"}], ",", "\"\<   av[4]=\>\"", ",", 
       RowBox[{"av", "[", "4", "]"}], ",", "\"\<   pk[1]=\>\"", ",", 
       RowBox[{"pk", "[", "1", "]"}], ",", "\"\<   Ploss=\>\"", ",", 
       "Ploss"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "100"}], ",", 
       RowBox[{"i", "++"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"\[Theta]", "[", "2", "]"}]},
            {
             RowBox[{"\[Theta]", "[", "3", "]"}]},
            {
             RowBox[{"\[Theta]", "[", "4", "]"}]}
           }], ")"}], "=", 
         RowBox[{
          RowBox[{"(", GridBox[{
             {
              RowBox[{"\[Theta]", "[", "2", "]"}]},
             {
              RowBox[{"\[Theta]", "[", "3", "]"}]},
             {
              RowBox[{"\[Theta]", "[", "4", "]"}]}
            }], ")"}], "-", 
          RowBox[{
           RowBox[{"Inverse", "[", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z23"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z24"], "]"}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z12"], "]"}]}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z23"], "]"}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z24"], "]"}]},
               {
                RowBox[{"Im", "[", 
                 FractionBox["1", "z23"], "]"}], 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z23"], "]"}]}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z34"], "]"}]},
               {
                RowBox[{"Im", "[", 
                 FractionBox["1", "z24"], "]"}], 
                RowBox[{"Im", "[", 
                 FractionBox["1", "z34"], "]"}], 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z24"], "]"}]}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z34"], "]"}], "-", 
                 RowBox[{"Im", "[", 
                  FractionBox["1", "z14"], "]"}]}]}
              }], ")"}], "]"}], ".", 
           RowBox[{"(", GridBox[{
              {
               RowBox[{
                RowBox[{"pk", "[", "2", "]"}], "-", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"p", "[", "2", "]"}], "+", "dp"}], ")"}]}]},
              {
               RowBox[{
                RowBox[{"pk", "[", "3", "]"}], "-", 
                RowBox[{"p", "[", "3", "]"}]}]},
              {
               RowBox[{
                RowBox[{"pk", "[", "4", "]"}], "-", 
                RowBox[{"p", "[", "4", "]"}]}]}
             }], ")"}]}]}]}], ";", 
        RowBox[{"av4old", "=", 
         RowBox[{"av", "[", "4", "]"}]}], ";", 
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"av", "[", "3", "]"}]},
            {
             RowBox[{"av", "[", "4", "]"}]}
           }], ")"}], "=", 
         RowBox[{
          RowBox[{"(", GridBox[{
             {
              RowBox[{"av", "[", "3", "]"}]},
             {
              RowBox[{"av", "[", "4", "]"}]}
            }], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"Inverse", "[", 
              RowBox[{"(", GridBox[{
                 {
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Im", "[", 
                    FractionBox["1", "z34"], "]"}]}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z23"], "]"}], "-", "0.2"}], 
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}]},
                 {
                  RowBox[{"Im", "[", 
                   FractionBox["1", "z34"], "]"}], 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Im", "[", 
                    FractionBox["1", "z14"], "]"}]}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z24"], "]"}], "-", 
                   RowBox[{"Im", "[", 
                    FractionBox["1", "z34"], "]"}]}]}
                }], ")"}], "]"}], ".", 
             RowBox[{"(", GridBox[{
                {
                 RowBox[{
                  RowBox[{"qk", "[", "3", "]"}], "-", 
                  RowBox[{"q", "[", "3", "]"}]}]},
                {
                 RowBox[{
                  RowBox[{"qk", "[", "4", "]"}], "-", 
                  RowBox[{"q", "[", "4", "]"}]}]}
               }], ")"}]}]}], ")"}]}]}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"av", "[", "4", "]"}], "-", "av4old"}], "]"}], "<", 
           "tol"}], ",", 
          RowBox[{"i", "=", "100"}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<Calculation Deviation:\>\"", ",", "\"\<   \[Theta][2]=\>\"", ",", 
       " ", 
       RowBox[{"\[Theta]", "[", "2", "]"}], ",", "\"\<   \[Theta][3]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "3", "]"}], ",", "\"\<   \[Theta][4]=\>\"", 
       ",", " ", 
       RowBox[{"\[Theta]", "[", "4", "]"}], ",", "\"\<   av[3]=\>\"", ",", 
       RowBox[{"av", "[", "3", "]"}], ",", "\"\<   av[4]=\>\"", ",", 
       RowBox[{"av", "[", "4", "]"}], ",", "\"\<   pk[1]=\>\"", ",", 
       RowBox[{"pk", "[", "1", "]"}], ",", "\"\<   Ploss=\>\"", ",", 
       "Ploss"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"zo", "=", "1"}], ";", 
     RowBox[{"rPlossrPG2", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ploss", "-", "Plossnew"}], ")"}], "/", "dp"}]}], ";", 
     RowBox[{"rPlossrPG1", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ploss", "-", "Plossnew"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"pk", "[", "1", "]"}], "-", "p1new"}], ")"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<Iteration=\>\"", ",", "ik", ",", "\"\< PGans=\>\"", ",", "PGans", 
       ",", "\"\<   p[2]=\>\"", ",", 
       RowBox[{"p", "[", "2", "]"}], ",", "\"\<   pk[1]=\>\"", ",", 
       RowBox[{"pk", "[", "1", "]"}], ",", "\"\<  Ploss=\>\"", ",", "Ploss", 
       ",", "\"\<  rPlossrPG1=\>\"", ",", "rPlossrPG1", ",", 
       "\"\<  rPlossrPG2=\>\"", ",", "rPlossrPG2"}], "]"}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<-------------------------------------------------------------------\
----------\>\"", ",", "Plosstest", ",", "\"\<    \>\"", ",", "Plossnew"}], 
      "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"Plosstest", "-", "Plossnew"}], "]"}], "<", "tol"}], ",", 
       RowBox[{"ik", "=", "100"}]}], "]"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.46623671551612*^9, 3.4662368189923015`*^9}, {
   3.466236894995635*^9, 3.466237082383164*^9}, {3.4662372234074116`*^9, 
   3.46623724530985*^9}, 3.4662373018599496`*^9, {3.466237336726011*^9, 
   3.466237380343687*^9}, {3.4662374157557497`*^9, 3.46623741588055*^9}, {
   3.4662374468622046`*^9, 3.4662379780587373`*^9}, {3.466238035981639*^9, 
   3.466238278265664*^9}, {3.4662383090289183`*^9, 3.4662383783866405`*^9}, {
   3.4662384104290967`*^9, 3.4662385982846265`*^9}, {3.466239004900341*^9, 
   3.4662391384053755`*^9}, {3.4662393825468044`*^9, 
   3.4662394128576574`*^9}, {3.4662395101706285`*^9, 
   3.4662396789473248`*^9}, {3.466239754669858*^9, 3.4662398024215417`*^9}, {
   3.466239856304036*^9, 3.466239862154046*^9}, {3.466239901466116*^9, 
   3.4662399324633703`*^9}, {3.4662399686242332`*^9, 3.466240132190521*^9}, {
   3.4662401925158267`*^9, 3.466240263854752*^9}, {3.466240316676445*^9, 
   3.466240317300446*^9}, {3.4662403505285044`*^9, 3.4662405607856736`*^9}, {
   3.466240618396575*^9, 3.4662407149139442`*^9}, {3.466240793397682*^9, 
   3.466240796611288*^9}, {3.4662414964721174`*^9, 3.4662415223993626`*^9}, {
   3.466241579932264*^9, 3.466241664687213*^9}, {3.466241741673348*^9, 
   3.46624197055695*^9}, {3.466242014159026*^9, 3.4662420388694696`*^9}, {
   3.466242072347129*^9, 3.4662421443568554`*^9}, {3.4662422493450394`*^9, 
   3.466242398986106*^9}, {3.4662424725558352`*^9, 3.466242542490758*^9}, {
   3.4662428674081287`*^9, 3.4662429291218367`*^9}, {3.46624439965522*^9, 
   3.4662444453633003`*^9}, {3.466244599616371*^9, 3.4662446239368143`*^9}, 
   3.466246806627484*^9, {3.466247376044084*^9, 3.466247376200084*^9}, {
   3.466247547940786*^9, 3.466247560498808*^9}, {3.544226918563674*^9, 
   3.54422695612854*^9}, {3.5442270003702173`*^9, 3.5442270078426304`*^9}, {
   3.5442270388086853`*^9, 3.5442270499003043`*^9}, {3.544227086045568*^9, 
   3.544227464018632*^9}, {3.5442275294919467`*^9, 3.544227547322778*^9}, {
   3.544227609145687*^9, 3.5442278322572784`*^9}, {3.5442279733439264`*^9, 
   3.544228093869738*^9}, {3.544228146644631*^9, 3.5442281510438385`*^9}, 
   3.5442282236151657`*^9, {3.544228531029306*^9, 3.544228588421807*^9}, {
   3.5442286343482876`*^9, 3.544228741411276*^9}, {3.544228774748534*^9, 
   3.54422888622633*^9}, {3.544228939328823*^9, 3.544228969374476*^9}, {
   3.544229020542566*^9, 3.544229172674033*^9}, {3.5442292768666162`*^9, 
   3.544229335616319*^9}, 3.5442293739767866`*^9, {3.544229463692544*^9, 
   3.5442295343674684`*^9}, {3.544229571292733*^9, 3.544229604895192*^9}, {
   3.544229709118975*^9, 3.54422988828529*^9}, {3.5442301701309853`*^9, 
   3.5442301708797865`*^9}, 3.5442302465711193`*^9, {3.5442303827593584`*^9, 
   3.544230409170205*^9}, {3.5442309217091055`*^9, 3.5442309393683357`*^9}, {
   3.5442312563764925`*^9, 3.5442312596056986`*^9}, {3.5442317097912893`*^9, 
   3.544231785326622*^9}, {3.5458856679528303`*^9, 3.545885670370835*^9}, {
   3.545886124908833*^9, 3.545886125330034*^9}, {3.5466518499326715`*^9, 
   3.5466520368677998`*^9}, {3.5466520804854765`*^9, 
   3.5466524173524685`*^9}, {3.5466524514073277`*^9, 3.546652837804407*^9}, {
   3.546652897334111*^9, 3.546653011058311*^9}, {3.546653049746379*^9, 
   3.5466531507097564`*^9}, {3.5466532020806465`*^9, 3.546653259972348*^9}, {
   3.546653299487218*^9, 3.5466533803421593`*^9}, {3.546653460791501*^9, 
   3.546653704089528*^9}, {3.546653751108011*^9, 3.546653770420845*^9}, {
   3.5466538041949043`*^9, 3.5466538098265142`*^9}, {3.5466538778114333`*^9, 
   3.5466538942850623`*^9}, {3.5466543991943903`*^9, 
   3.5466544336860514`*^9}, {3.5466549219669085`*^9, 
   3.5466549246345134`*^9}, {3.5466550179850774`*^9, 3.54665503681431*^9}, {
   3.5466558544429464`*^9, 3.5466558679369707`*^9}, {3.546655908294241*^9, 
   3.5466559715991526`*^9}, 3.546656250465242*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.029963255418967362`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.08634773564870407`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.040817689108952004`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.900670140392015`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9273327867673603`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.4088538862924871`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04993833034312587`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.029963255418967362`, 
   "   \[Theta][3]=", -0.08634773564870407, 
   "   \[Theta][4]=", -0.040817689108952004`, "   av[3]=", 0.900670140392015, 
   "   av[4]=", 0.9273327867673603, "   pk[1]=", 0.4088538862924871, 
   "   Ploss=", 0.04993833034312587],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251526044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.02997566150749984`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.086339107098666`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04081119508460423`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9006709722726538`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9273341658961594`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.4087558197451697`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04993678900822248`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.02997566150749984, 
   "   \[Theta][3]=", -0.086339107098666, 
   "   \[Theta][4]=", -0.04081119508460423, "   av[3]=", 0.9006709722726538, 
   "   av[4]=", 0.9273341658961594, "   pk[1]=", 0.4087558197451697, 
   "   Ploss=", 0.04993678900822248],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251572844*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.31976744186046524`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.180232558139535`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.00639534883721`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.180232558139535`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.4087558197451697`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04993678900822248`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.01571723432255003`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.015413349033904788`"}]}],
  SequenceForm[
  "Iteration=", 1, 
   " PGans=", {{$CellContext`PG1 -> 0.31976744186046524`, $CellContext`PG2 -> 
     1.180232558139535, $CellContext`\[Lambda] -> -8.00639534883721}}, 
   "   p[2]=", 1.180232558139535, "   pk[1]=", 0.4087558197451697, "  Ploss=",
    0.04993678900822248, "  rPlossrPG1=", 0.01571723432255003, 
   "  rPlossrPG2=", -0.015413349033904788`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251619644*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04993833034312587`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0, "    ", 0.04993833034312587],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562516352444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.048153366591663777`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07370907010451047`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031301014348894735`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.901847774915162`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9293091581170944`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.266270055687154`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04776456330947948`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.048153366591663777`, 
   "   \[Theta][3]=", -0.07370907010451047, 
   "   \[Theta][4]=", -0.031301014348894735`, "   av[3]=", 0.901847774915162, 
   "   av[4]=", 0.9293091581170944, "   pk[1]=", 0.266270055687154, 
   "   Ploss=", 0.04776456330947948],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562516352444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04816558243152251`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07370059091719768`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031294626499400124`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9018485373590881`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9293104546866574`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.2661751151708902`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04776316047520113`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04816558243152251, 
   "   \[Theta][3]=", -0.07370059091719768, 
   "   \[Theta][4]=", -0.031294626499400124`, "   av[3]=", 0.9018485373590881,
    "   av[4]=", 0.9293104546866574, "   pk[1]=", 0.2661751151708902, 
   "   Ploss=", 0.04776316047520113],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251650844*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.22193644773466126`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3280003412735621`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.132255290933085`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3280003412735621`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.2661751151708902`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04776316047520113`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014775928481939735`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014028342783523051`"}]}],
  SequenceForm[
  "Iteration=", 2, 
   " PGans=", {{$CellContext`PG1 -> 0.22193644773466126`, $CellContext`PG2 -> 
     1.3280003412735621`, $CellContext`\[Lambda] -> -8.132255290933085}}, 
   "   p[2]=", 1.3280003412735621`, "   pk[1]=", 0.2661751151708902, 
   "  Ploss=", 0.04776316047520113, "  rPlossrPG1=", 0.014775928481939735`, 
   "  rPlossrPG2=", -0.014028342783523051`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251650844*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04993833034312587`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04776456330947948`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04993833034312587, "    ", 0.04776456330947948],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562516664443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.0467903654375408`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07465521656999004`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03201376166421135`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017624589824741`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291642400283642`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27686998945497265`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.0479215552436907`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.0467903654375408, 
   "   \[Theta][3]=", -0.07465521656999004, 
   "   \[Theta][4]=", -0.03201376166421135, "   av[3]=", 0.9017624589824741, 
   "   av[4]=", 0.9291642400283642, "   pk[1]=", 0.27686998945497265`, 
   "   Ploss=", 0.0479215552436907],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562516820445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04680259518677824`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.0746467264546332`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03200736603080939`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017632265464134`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291655426891422`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27677481790984704`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04792014238170512`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04680259518677824, 
   "   \[Theta][3]=", -0.0746467264546332, 
   "   \[Theta][4]=", -0.03200736603080939, "   av[3]=", 0.9017632265464134, 
   "   av[4]=", 0.9291655426891422, "   pk[1]=", 0.27677481790984704`, 
   "   Ploss=", 0.04792014238170512],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562516820445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.23091409173447186`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3168490687407286`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.124667792069832`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3168490687407286`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.27677481790984704`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04792014238170512`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014845424477605736`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014128619855793834`"}]}],
  SequenceForm[
  "Iteration=", 3, 
   " PGans=", {{$CellContext`PG1 -> 0.23091409173447186`, $CellContext`PG2 -> 
     1.3168490687407286`, $CellContext`\[Lambda] -> -8.124667792069832}}, 
   "   p[2]=", 1.3168490687407286`, "   pk[1]=", 0.27677481790984704`, 
   "  Ploss=", 0.04792014238170512, "  rPlossrPG1=", 0.014845424477605736`, 
   "  rPlossrPG2=", -0.014128619855793834`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251697644*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04776456330947948`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.0479215552436907`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04776456330947948, "    ", 0.0479215552436907],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251697644*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04688981435532444`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07458617792245249`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03196175545512621`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017686999351042`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291748311029582`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27609612139677875`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.047910068822934276`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.04688981435532444, 
   "   \[Theta][3]=", -0.07458617792245249, 
   "   \[Theta][4]=", -0.03196175545512621, "   av[3]=", 0.9017686999351042, 
   "   av[4]=", 0.9291748311029582, "   pk[1]=", 0.27609612139677875`, 
   "   Ploss=", 0.047910068822934276`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517132444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04690204308779893`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07457768860594141`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031955360390702264`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017694671250333`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291761333187534`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27600096672633345`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04790865669450465`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04690204308779893, 
   "   \[Theta][3]=", -0.07457768860594141, 
   "   \[Theta][4]=", -0.031955360390702264`, "   av[3]=", 0.9017694671250333,
    "   av[4]=", 0.9291761333187534, "   pk[1]=", 0.27600096672633345`, 
   "   Ploss=", 0.04790865669450465],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517132444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.2302578703780771`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3176622720036277`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.125227610259019`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3176622720036277`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.27600096672633345`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04790865669450465`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840348067193492`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121284296272907`"}]}],
  SequenceForm[
  "Iteration=", 4, 
   " PGans=", {{$CellContext`PG1 -> 0.2302578703780771, $CellContext`PG2 -> 
     1.3176622720036277`, $CellContext`\[Lambda] -> -8.125227610259019}}, 
   "   p[2]=", 1.3176622720036277`, "   pk[1]=", 0.27600096672633345`, 
   "  Ploss=", 0.04790865669450465, "  rPlossrPG1=", 0.014840348067193492`, 
   "  rPlossrPG2=", -0.014121284296272907`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517288446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.0479215552436907`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.047910068822934276`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.0479215552436907, "    ", 0.047910068822934276`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517288446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04688254360469881`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07459122534040645`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03196555764004576`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017682437420251`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291740568779462`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27615269673522125`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04791090843007186`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.04688254360469881, 
   "   \[Theta][3]=", -0.07459122534040645, 
   "   \[Theta][4]=", -0.03196555764004576, "   av[3]=", 0.9017682437420251, 
   "   av[4]=", 0.9291740568779462, "   pk[1]=", 0.27615269673522125`, 
   "   Ploss=", 0.04791090843007186],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517444444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04689477241149951`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.0745827359654992`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031959162534028966`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017690109592962`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291753591262716`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27605754083115475`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.047909496248021495`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04689477241149951, 
   "   \[Theta][3]=", -0.0745827359654992, 
   "   \[Theta][4]=", -0.031959162534028966`, "   av[3]=", 0.9017690109592962,
    "   av[4]=", 0.9291753591262716, "   pk[1]=", 0.27605754083115475`, 
   "   Ploss=", 0.047909496248021495`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517444444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.2303058406009102`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.317602816093594`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.125186715785206`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.317602816093594`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.27605754083115475`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.047909496248021495`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840719177867823`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121820503670834`"}]}],
  SequenceForm[
  "Iteration=", 5, 
   " PGans=", {{$CellContext`PG1 -> 0.2303058406009102, $CellContext`PG2 -> 
     1.317602816093594, $CellContext`\[Lambda] -> -8.125186715785206}}, 
   "   p[2]=", 1.317602816093594, "   pk[1]=", 0.27605754083115475`, 
   "  Ploss=", 0.047909496248021495`, "  rPlossrPG1=", 0.014840719177867823`, 
   "  rPlossrPG2=", -0.014121820503670834`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251760044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.047910068822934276`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04791090843007186`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.047910068822934276`, "    ", 0.04791090843007186],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251760044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.046883075097717795`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07459085637322047`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031965279699673665`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017682770902682`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291741134744126`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.2761485610558516`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04791084705375034`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.046883075097717795`, 
   "   \[Theta][3]=", -0.07459085637322047, 
   "   \[Theta][4]=", -0.031965279699673665`, "   av[3]=", 0.9017682770902682,
    "   av[4]=", 0.9291741134744126, "   pk[1]=", 0.2761485610558516, 
   "   Ploss=", 0.04791084705375034],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517756443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.046895303899084986`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.0745823670025822`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03195888459669766`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017690443055404`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291754157203599`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.2760534052419654`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04790943487561986`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.046895303899084986`, 
   "   \[Theta][3]=", -0.0745823670025822, 
   "   \[Theta][4]=", -0.03195888459669766, "   av[3]=", 0.9017690443055404, 
   "   av[4]=", 0.9291754157203599, "   pk[1]=", 0.2760534052419654, 
   "   Ploss=", 0.04790943487561986],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517912445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.23030233393025323`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3176071623177672`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.125189705362796`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3176071623177672`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.2760534052419654`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04790943487561986`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840692048137524`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121781304748948`"}]}],
  SequenceForm[
  "Iteration=", 6, 
   " PGans=", {{$CellContext`PG1 -> 0.23030233393025323`, $CellContext`PG2 -> 
     1.3176071623177672`, $CellContext`\[Lambda] -> -8.125189705362796}}, 
   "   p[2]=", 1.3176071623177672`, "   pk[1]=", 0.2760534052419654, 
   "  Ploss=", 0.04790943487561986, "  rPlossrPG1=", 0.014840692048137524`, 
   "  rPlossrPG2=", -0.014121781304748948`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562517912445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04791090843007186`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04791084705375034`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04791090843007186, "    ", 0.04791084705375034],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518068447`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.046883036243407776`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07459088334622808`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0319653000182499`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017682746523777`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291741093369823`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27614886339083267`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04791085154060539`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.046883036243407776`, 
   "   \[Theta][3]=", -0.07459088334622808, 
   "   \[Theta][4]=", -0.0319653000182499, "   av[3]=", 0.9017682746523777, 
   "   av[4]=", 0.9291741093369823, "   pk[1]=", 0.27614886339083267`, 
   "   Ploss=", 0.04791085154060539],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518068447`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.046895265045172475`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07458239397527698`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03195890491505066`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017690418677959`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291754115831032`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27605370757035175`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04790943936218858`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.046895265045172475`, 
   "   \[Theta][3]=", -0.07458239397527698, 
   "   \[Theta][4]=", -0.03195890491505066, "   av[3]=", 0.9017690418677959, 
   "   av[4]=", 0.9291754115831032, "   pk[1]=", 0.27605370757035175`, 
   "   Ploss=", 0.04790943936218858],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518224444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.2303025902846514`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3176068445909686`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.12518948681224`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3176068445909686`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.27605370757035175`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04790943936218858`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840694028711876`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121784168083518`"}]}],
  SequenceForm[
  "Iteration=", 7, 
   " PGans=", {{$CellContext`PG1 -> 0.2303025902846514, $CellContext`PG2 -> 
     1.3176068445909686`, $CellContext`\[Lambda] -> -8.12518948681224}}, 
   "   p[2]=", 1.3176068445909686`, "   pk[1]=", 0.27605370757035175`, 
   "  Ploss=", 0.04790943936218858, "  rPlossrPG1=", 0.014840694028711876`, 
   "  rPlossrPG2=", -0.014121784168083518`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518224444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04791084705375034`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04791085154060539`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04791084705375034, "    ", 0.04791085154060539],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251838044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04688303908089095`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07459088137642196`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03196529853440902`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.901768274830414`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291741096391337`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.2761488413116773`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04791085121293586`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.04688303908089095, 
   "   \[Theta][3]=", -0.07459088137642196, 
   "   \[Theta][4]=", -0.03196529853440902, "   av[3]=", 0.901768274830414, 
   "   av[4]=", 0.9291741096391337, "   pk[1]=", 0.2761488413116773, 
   "   Ploss=", 0.04791085121293586],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251838044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04689526788262648`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.07458239200549374`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031958903431226`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017690420458222`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291754118852429`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.2760536854916733`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04790943903453894`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04689526788262648, 
   "   \[Theta][3]=", -0.07458239200549374, 
   "   \[Theta][4]=", -0.031958903431226, "   av[3]=", 0.9017690420458222, 
   "   av[4]=", 0.9291754118852429, "   pk[1]=", 0.2760536854916733, 
   "   Ploss=", 0.04790943903453894],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518536444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.2303025715680196`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3176068677941701`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.12518950276723`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3176068677941701`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.2760536854916733`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04790943903453894`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840693894105562`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121783969214818`"}]}],
  SequenceForm[
  "Iteration=", 8, 
   " PGans=", {{$CellContext`PG1 -> 0.2303025715680196, $CellContext`PG2 -> 
     1.3176068677941701`, $CellContext`\[Lambda] -> -8.12518950276723}}, 
   "   p[2]=", 1.3176068677941701`, "   pk[1]=", 0.2760536854916733, 
   "  Ploss=", 0.04790943903453894, "  rPlossrPG1=", 0.014840693894105562`, 
   "  rPlossrPG2=", -0.014121783969214818`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518536444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04791085154060539`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04791085121293586`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04791085154060539, "    ", 0.04791085121293586],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518692446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Main Load Flow:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04688303888554862`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.0745908815120302`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.031965298636561536`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.9017682748181574`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291741096183327`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27614884283168095`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04791085123549366`"}],
  SequenceForm[
  "Main Load Flow:", "   \[Theta][2]=", 0.04688303888554862, 
   "   \[Theta][3]=", -0.0745908815120302, 
   "   \[Theta][4]=", -0.031965298636561536`, "   av[3]=", 0.9017682748181574,
    "   av[4]=", 0.9291741096183327, "   pk[1]=", 0.27614884283168095`, 
   "   Ploss=", 0.04791085123549366],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562518692446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculation Deviation:\"\>", 
   "\[InvisibleSpace]", "\<\"   \[Theta][2]=\"\>", "\[InvisibleSpace]", 
   "0.04689526768728616`", "\[InvisibleSpace]", "\<\"   \[Theta][3]=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", "0.0745823921411007`"}], 
   "\[InvisibleSpace]", "\<\"   \[Theta][4]=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03195890353337799`"}], 
   "\[InvisibleSpace]", "\<\"   av[3]=\"\>", "\[InvisibleSpace]", 
   "0.901769042033566`", "\[InvisibleSpace]", "\<\"   av[4]=\"\>", 
   "\[InvisibleSpace]", "0.9291754118644423`", 
   "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", "\[InvisibleSpace]", 
   "0.27605368701164856`", "\[InvisibleSpace]", "\<\"   Ploss=\"\>", 
   "\[InvisibleSpace]", "0.04790943905709578`"}],
  SequenceForm[
  "Calculation Deviation:", "   \[Theta][2]=", 0.04689526768728616, 
   "   \[Theta][3]=", -0.0745823921411007, 
   "   \[Theta][4]=", -0.03195890353337799, "   av[3]=", 0.901769042033566, 
   "   av[4]=", 0.9291754118644423, "   pk[1]=", 0.27605368701164856`, 
   "   Ploss=", 0.04790943905709578],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251884845*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Iteration=\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" PGans=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PG1", "\[Rule]", "0.23030257283775857`"}], ",", 
      RowBox[{"PG2", "\[Rule]", "1.3176068661967801`"}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"-", "8.12518950168283`"}]}]}], "}"}], "}"}], 
   "\[InvisibleSpace]", "\<\"   p[2]=\"\>", "\[InvisibleSpace]", 
   "1.3176068661967801`", "\[InvisibleSpace]", "\<\"   pk[1]=\"\>", 
   "\[InvisibleSpace]", "0.27605368701164856`", 
   "\[InvisibleSpace]", "\<\"  Ploss=\"\>", "\[InvisibleSpace]", 
   "0.04790943905709578`", "\[InvisibleSpace]", "\<\"  rPlossrPG1=\"\>", 
   "\[InvisibleSpace]", "0.014840693899736008`", 
   "\[InvisibleSpace]", "\<\"  rPlossrPG2=\"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.014121783978790492`"}]}],
  SequenceForm[
  "Iteration=", 9, 
   " PGans=", {{$CellContext`PG1 -> 0.23030257283775857`, $CellContext`PG2 -> 
     1.3176068661967801`, $CellContext`\[Lambda] -> -8.12518950168283}}, 
   "   p[2]=", 1.3176068661967801`, "   pk[1]=", 0.27605368701164856`, 
   "  Ploss=", 0.04790943905709578, "  rPlossrPG1=", 0.014840693899736008`, 
   "  rPlossrPG2=", -0.014121783978790492`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.546656251884845*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"---------------------------------------------------------------\
--------------\"\>", "\[InvisibleSpace]", "0.04791085121293586`", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", 
   "0.04791085123549366`"}],
  SequenceForm[
  "---------------------------------------------------------------------------\
--", 0.04791085121293586, "    ", 0.04791085123549366],
  Editable->False]], "Print",
 CellChangeTimes->{{3.546655038421113*^9, 3.546655054301941*^9}, 
   3.546655797877247*^9, 3.5466558687013717`*^9, 3.5466559329734845`*^9, 
   3.5466559725351543`*^9, 3.5466562519004445`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 643},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 34433, 939, 1197, "Input"],
Cell[CellGroupData[{
Cell[35025, 965, 1307, 24, 23, "Print"],
Cell[36335, 991, 1313, 24, 23, "Print"],
Cell[37651, 1017, 1515, 29, 23, "Print"],
Cell[39169, 1048, 608, 12, 23, "Print"],
Cell[39780, 1062, 1307, 24, 23, "Print"],
Cell[41090, 1088, 1320, 24, 23, "Print"],
Cell[42413, 1114, 1526, 29, 23, "Print"],
Cell[43942, 1145, 645, 12, 23, "Print"],
Cell[44590, 1159, 1304, 24, 23, "Print"],
Cell[45897, 1185, 1320, 24, 23, "Print"],
Cell[47220, 1211, 1529, 29, 23, "Print"],
Cell[48752, 1242, 641, 12, 23, "Print"],
Cell[49396, 1256, 1311, 24, 23, "Print"],
Cell[50710, 1282, 1325, 24, 23, "Print"],
Cell[52038, 1308, 1528, 29, 23, "Print"],
Cell[53569, 1339, 646, 12, 23, "Print"],
Cell[54218, 1353, 1308, 24, 23, "Print"],
Cell[55529, 1379, 1326, 24, 23, "Print"],
Cell[56858, 1405, 1523, 29, 23, "Print"],
Cell[58384, 1436, 646, 12, 23, "Print"],
Cell[59033, 1450, 1311, 24, 23, "Print"],
Cell[60347, 1476, 1320, 24, 23, "Print"],
Cell[61670, 1502, 1528, 29, 23, "Print"],
Cell[63201, 1533, 645, 12, 23, "Print"],
Cell[63849, 1547, 1309, 24, 23, "Print"],
Cell[65161, 1573, 1325, 24, 23, "Print"],
Cell[66489, 1599, 1526, 29, 23, "Print"],
Cell[68018, 1630, 643, 12, 23, "Print"],
Cell[68664, 1644, 1301, 24, 23, "Print"],
Cell[69968, 1670, 1315, 24, 23, "Print"],
Cell[71286, 1696, 1523, 29, 23, "Print"],
Cell[72812, 1727, 645, 12, 23, "Print"],
Cell[73460, 1741, 1309, 24, 23, "Print"],
Cell[74772, 1767, 1316, 24, 23, "Print"],
Cell[76091, 1793, 1527, 29, 23, "Print"],
Cell[77621, 1824, 645, 12, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
